Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 572542 (CVE-2016-1612) - <www-client/chromium-48.0.2564.82: multiple vulnerabilities
Summary: <www-client/chromium-48.0.2564.82: multiple vulnerabilities
Status: RESOLVED FIXED
Alias: CVE-2016-1612
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL: http://googlechromereleases.blogspot....
Whiteboard: A2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-21 16:39 UTC by Agostino Sarubbo
Modified: 2016-03-12 12:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2016-01-21 16:39:48 UTC
From ${URL} :

The Chrome team is delighted to announce the promotion of Chrome 48 to the stable channel for Windows, Mac and Linux.

 Chrome 48.0.2564.82 contains a number of fixes and improvements -- a list of changes is available in the log.  Watch out for upcoming Chrome and Chromium blog posts about new features and big efforts delivered in 48.

 Security Fixes and Rewards

 Note: Access to bug details and links may be kept restricted until a majority of users are updated with a fix. We will also retain restrictions if the bug exists in a third party library that other projects similarly depend on, but haven’t yet fixed.

 This update includes 37 security fixes. Below, we highlight fixes that were contributed by external researchers. Please see the Chromium security page for more information. 

 [$3000][497632] High CVE-2016-1612: Bad cast in V8. Credit to cloudfuzzer.
[$3000][572871] High CVE-2016-1613: Use-after-free in PDFium. Credit to anonymous.
[$2000][544691] Medium CVE-2016-1614: Information leak in Blink. Credit to Christoph Diehl.
[$500][468179] Medium CVE-2016-1615: Origin confusion in Omnibox. Credit to Ron Masas.
[$500][541415] Medium CVE-2016-1616: URL Spoofing. Credit to Luan Herrera.
[$500][544765] Medium CVE-2016-1617: History sniffing with HSTS and CSP. Credit to jenuis.
[$500][552749] Medium CVE-2016-1618: Weak random number generator in Blink. Credit to Aaron Toponce.
[$500][557223] Medium CVE-2016-1619: Out-of-bounds read in PDFium. Credit to Keve Nagy.

 We would also like to thank all security researchers that worked with us during the development cycle to prevent security bugs from ever reaching the stable channel. The total value of additional rewards and their recipients will updated here when all reports 
have gone through the reward panel.

 As usual, our ongoing internal security work was responsible for a wide range of fixes:
[579625] CVE-2016-1620: Various fixes from internal audits, fuzzing and other initiatives.
Multiple vulnerabilities in V8 fixed at the tip of the 4.8 branch (currently 4.8.271.17).


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Mike Gilbert gentoo-dev 2016-01-22 15:03:12 UTC
chromium-48.0.2564.82 has been added. Please stabilize.
Comment 2 Richard Freeman gentoo-dev 2016-01-22 19:38:37 UTC
amd64 stable
Comment 3 nE0sIghT 2016-01-23 06:45:43 UTC
(In reply to Richard Freeman from comment #2)
> amd64 stable

Stable chromium with default "system-ffmpeg" use flag depends on unstable ffmpeg now
Comment 4 Agostino Sarubbo gentoo-dev 2016-01-23 09:14:23 UTC
x86 stable

cleanup done
Comment 5 Richard Freeman gentoo-dev 2016-01-23 11:24:46 UTC
(In reply to nE0sIghT from comment #3)
> (In reply to Richard Freeman from comment #2)
> > amd64 stable
> 
> Stable chromium with default "system-ffmpeg" use flag depends on unstable
> ffmpeg now

That looks like it should be stable masked.
Comment 6 Mike Gilbert gentoo-dev 2016-01-23 18:27:17 UTC
(In reply to nE0sIghT from comment #3)
> Stable chromium with default "system-ffmpeg" use flag depends on unstable
> ffmpeg now

As Rick indicated, it is stable-masked.

# Mike Gilbert <floppym@gentoo.org> (02 Dec 2015)
# Needs unstable ffmpeg.
=www-client/chromium-47* system-ffmpeg
=www-client/chromium-48* system-ffmpeg
Comment 7 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-10 12:10:20 UTC
Added to existing GLSA.
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2016-03-12 12:16:59 UTC
This issue was resolved and addressed in
 GLSA 201603-09 at https://security.gentoo.org/glsa/201603-09
by GLSA coordinator Kristian Fiskerstrand (K_F).